Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157991 - [PATCH] intel-agp driver not built for x86_64, needed to support i915/i945 chipset
Summary: [PATCH] intel-agp driver not built for x86_64, needed to support i915/i945 ch...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 17:33 UTC by wingc
Modified: 2012-06-20 13:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:17:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
[AGPGART] Enable Intel AGP support for x86-64 again. (davej@redhat.com) (deleted)
2005-05-17 17:35 UTC, wingc
no flags Details | Diff
disable CONFIG_AGP_INTEL_MCH in x86_64 kernel config (deleted)
2005-05-17 17:50 UTC, wingc
no flags Details | Diff

Description wingc 2005-05-17 17:33:10 UTC
Description of problem:

The RHEL4 kernel uses the 'intel-mch-agp' driver on x86_64, not the intel-agp
driver. However, it seems that 'intel-mch-agp' is an obsolete driver. It was
removed in linux-2.6.12-rc1; see the patches titled:

<davej@delerium.kernelslacker.org>
	[AGPGART] Drop the Intel-mch AGP driver.

<davej@redhat.com>
	[AGPGART] Enable Intel AGP support for x86-64 again.

(from http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.12-rc1)



The intel-mch-agp driver also lacks support for the i915 chipset found in recent
64-bit capable Intel PCs.

In order for accelerated OpenGL to work on recent x86_64 capable Intel hardware,
 the RHEL4 kernel should use the intel-agp driver on x86_64 instead of
intel-mch-agp.

Version-Release number of selected component (if applicable):

RHEL4 x86_64 kernel (2.6.9-5.0.5.EL), as well as most recent RHEL4 beta
(2.6.9-6.37.EL).

How reproducible:

Always

Steps to Reproduce:
1. try to set up accelerated OpenGL
  
Actual results:

note that the RHEL4 x86_64 kernel does not support the i915 chipset with agpgart

Expected results:

agpgart should support the same Intel chipsets on x86_64 that it does in i386

Additional info:



I built the intel-agp driver as an external module on x86_64, using the RHEL4
kernel sources (NOT a newer version of the intel-agp driver), and OpenGL worked
fine on my hardware. (pre-production Dell GX620 with i945 on-board graphics, x86_64)
(I added the PCI ID to intel-agp.c for the i945 chip, and it worked fine using
the i915 code)


I'll attach two patches to this bugzilla:

1. Dave Jones's patch to re-enable intel-agp.c for x86_64
2. A patch against kernel-2.6.9-x86_64*.config for RHEL4 to disable the
intel-mch-agp driver.

I guess you should probably also delete the intel-mch-agp driver from the RHEL4
kernel source tree as well.

Comment 1 wingc 2005-05-17 17:35:47 UTC
Created attachment 114471 [details]
[AGPGART] Enable Intel AGP support for x86-64 again. (davej@redhat.com)

patch from linux-2.6.12-rc1 that re-enables intel-agp.c for x86_64

the bitkeeper reference was:

http://linus.bkbits.net:8080/linux-2.5/cset@42371da7yKUNulXzstCcwodtXIg9cA

Comment 2 wingc 2005-05-17 17:50:07 UTC
Created attachment 114475 [details]
disable CONFIG_AGP_INTEL_MCH in x86_64 kernel config

Simple patch against SOURCES/kernel-2.6.9-x86_64*.config for the RHEL4 kernel
(patch against 2.6.9-6.37.EL sources)

Comment 3 wingc 2005-05-17 20:43:14 UTC
See also the related bugs:

bug #157995 (support i945G host bridge in intel-agp driver)
bug #157997 (i915 DRM kernel module needed on x86_64)
bug #158000 (support i945G integrated graphics in i915 DRM kernel module)
bug #158014 (support i945G integrated graphics in xorg-x11 i810 driver)
bug #158015 (support i945G integrated graphics in i915 DRI driver)
bug #158016 (disable debugging output to stderr in i915 DRI driver, x86_64)


Taken as a series, when these are all resolved it will be possible to get
working OpenGL acceleration in RHEL4 for the i945G integrated graphics chipset
on x86_64.

Comment 4 Dave Jones 2005-06-27 21:18:18 UTC
reassigning to product management.


Comment 5 Jiri Pallich 2012-06-20 13:17:32 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.